Subject: Bug#459260: slim: Should not be centered on two-screen setups

From: Stefan Ott <[email-masked]>
Date: Sat, 5 Jan 2008 06:01:50 +0100

Package: slim
Version: 1.2.6-1
Severity: wishlist

Hi

On two-screen setups, slim is centered across the screens. This means
that parts of the login dialog will appear on screen 1, other parts on
screen 2. Instead, slim should offer a config setting about which screen
to be displayed on, just choose screen 1 by default or show the dialog
on both (all) screens.

Regards
Stefan

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'unstable'), (501, 'experimental'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.23.12 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages slim depends on:
ii  debconf [debconf-2.0]   1.5.17           Debian configuration management sy
ii  libc6                   2.7-5            GNU C Library: Shared libraries
ii  libfontconfig1          2.4.2-1.2        generic font configuration library
ii  libfreetype6            2.3.5-1+b1       FreeType 2 font engine, shared lib
ii  libgcc1                 1:4.2.2-4        GCC support library
ii  libjpeg62               6b-14            The Independent JPEG Group's JPEG 
ii  libpng12-0              1.2.15~beta5-3   PNG library - runtime
ii  libstdc++6              4.2.2-4          The GNU Standard C++ Library v3
ii  libx11-6                2:1.0.3-7        X11 client-side library
ii  libxft2                 2.1.12-2         FreeType-based font drawing librar
ii  libxmu6                 1:1.0.3-1        X11 miscellaneous utility library
ii  libxrender1             1:0.9.4-1        X Rendering Extension client libra
ii  zlib1g                  1:1.2.3.3.dfsg-8 compression library - runtime

slim recommends no packages.

-- debconf information:
* shared/default-x-display-manager: slim